%define version 4.2.7
%define release 4mdk

Summary:	An X Window System graphical chessboard
Name:		xboard
Version:	%{version}
Release:	%{release}
Group:		Games/Boards
URL:		http://www.tim-mann.org/xboard.html
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Source:		ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	xboard.sh.bz2
Patch0:		xboard-4.0.5-entry.patch.bz2

Requires:	chessengine
Conflicts:	gnuchess <= 5.06
BuildRequires:	flex
BuildRequires:	XFree86-devel
BuildRequires:	xpm-devel
BuildRequires:	groff-for-man

%description
Xboard is an X Window System based graphical chessboard which can be used with
the GNUchess and Crafty chess programs, with Internet Chess Servers (ICSs),
with chess via email, or with your own saved games.

%prep
%setup -q 
%patch0 -p1 -b .info-entry
chmod 0644 ChangeLog*

%build

%configure2_5x --bindir=%{_gamesbindir}

%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir}

mv %{buildroot}%{_gamesbindir}/%{name} %{buildroot}%{_gamesbindir}/%{name}.real

bzip2 -dc %{SOURCE1} > %{buildroot}%{_gamesbindir}/%{name}
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

#menu
install -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
needs=X11 \
section=Amusement/Boards \
title="XBoard" \
longtitle="GUI chessboard game" \
command="%{_gamesbindir}/xboard" \
icon="strategy_section.png"
EOF

%post
%update_menus
%_install_info %{name}.info

%postun
%clean_menus
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* COPYING COPYRIGHT FAQ NEWS READ_ME zippy.README
%doc *.txt *.html
%{_menudir}/%{name}
%{_gamesbindir}/*
%{_mandir}/man?/*
%{_infodir}/*.info*

%changelog
* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.2.7-4mdk
- Rebuild with new menu

* Sat Aug 07 2004 Abel Cheung <deaddog@deaddog.org> 4.2.7-3mdk
- Requires chessengine instead of gnuchess only
- Wrapper script becomes longer, so place it in another file

* Thu Jul 15 2004 Michael Scherer <misc@mandrake.org> 4.2.7-2mdk 
- correct Requires

* Tue Dec 02 2003 Abel Cheung <deaddog@deaddog.org> 4.2.7-1mdk
- 4.2.7

* Wed Nov 19 2003 Abel Cheung <deaddog@deaddog.org> 4.2.6-8mdk
- Remove patch1 (gnuchessx is back)
- Add missing BuildRequires

* Wed Nov 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 4.2.6-7mdk
- fix Olivier Thauvin not even testing his package :) (#6320)

* Thu Oct 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2.6-6mdk
- use %%_gamesbindir
- add wrapper to xboard to set correct path

* Thu Apr 24 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 4.2.6-5mdk
- fix %%doc section thx to stefan's robot

* Sat Jul 20 2002 Daouda LO <daouda@mandrakesoft.com> 4.2.6-4mdk
- apply patch from Olivier Thauvin

* Fri Mar 01 2002 David BAUDENS <baudens@mandrakesoft.com> 4.2.6-3mdk
- Don't hardcode icon PATH in menu
- Use standard boards_section.png for icons (so don't break E menu)

* Wed Feb 06 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.6-2mdk
- Use License: tag (sorry I missed that on first try).

* Wed Feb 06 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.6-1mdk
- 4.2.6 out for general consumption.
- Add a URL.

* Tue May  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 4.2.3-1mdk
- version 4.2.3

* Wed Feb 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.2-1mdk
- another new and shiny source.

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.2.1-1mdk
- new and shiny source.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.1.0-1mdk
- new and shiny source.

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.7-5mdk
- Fix menu entry

* Wed Aug 16 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.0.7-4mdk
- Minor bug fix in the spec

* Tue Aug 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 4.0.7-3mdk
- introduced the %{_mandir}, %{_bindir}, %{_infodir} etc.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.7-2mdk
- automatically added BuildRequires

* Thu Jun 13 2000 Florin Grad <florin@mandrakesoft.com> 4.0.7-1mdk
- "new" release

* Fri May 05 2000 Florin Grad <florin@mandrakesoft.com> 4.0.5-2mdk
- fix the menu integration

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.5-1mdk
- Updated to 4.0.5
- New groups
- Added docs
- added menu funtions to spec file

* Fri Nov 12 1999 Damien Kroktine <damien@mandrakesoft.com>
- Mandrake release

* Wed Sep  8 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.3

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- change requires: to virtual 'chessprogram'

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- require gnuchess so it will work out of the box

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0.2

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built package for 6.0

* Sat Jul 11 1998 Mike Wangsmo <wanger@redhat.com>
- updated to a new version
- buildrooted the package too

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr
